#constraints.xdc for diot_sb

set_property PACKAGE_PIN AJ4 [get_ports sfp_rxp]
set_property PACKAGE_PIN AJ3 [get_ports sfp_rxn]
set_property PACKAGE_PIN AJ8 [get_ports sfp_txp]
set_property PACKAGE_PIN AJ7 [get_ports sfp_txn]

set_property PACKAGE_PIN K22 [get_ports {emio_i2c_scl[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {emio_i2c_scl[0]}]
set_property PACKAGE_PIN J20 [get_ports {emio_i2c_sda[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {emio_i2c_sda[0]}]

#gtref_clock
set_property PACKAGE_PIN AH10 [get_ports gtrefclk_in_clk_p]
#125 MHz
create_clock -period 8.000 -name gt_ref_clk -waveform {0.000 4.000} [get_ports gtrefclk_in_clk_p]


set_property IOSTANDARD LVCMOS18 [get_ports *led]

#GPIO_LED[1]
#From SFP_ACT_LED from schematic
set_property PACKAGE_PIN J30 [get_ports {link_status_led[0]}]
#GPIO_LED[2]
#From SFP_LINK_LED from schematic
#GPIO_LED[4]
#From USER_LED2 from schematic
set_property PACKAGE_PIN AL26 [get_ports pl_reset_led]
#GPIO_LED[5]
#From USER_LED1 from schematic
set_property PACKAGE_PIN AT27 [get_ports {mdc_clk_led[0]}]

set_property PACKAGE_PIN K27 [get_ports {link_sync_led[0]}]

set_property PACKAGE_PIN A11 [get_ports {M_SCL_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {M_SCL_0[0]}]
set_property PACKAGE_PIN A12 [get_ports {M_SDA_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {M_SDA_0[0]}]

set_property PACKAGE_PIN H14 [get_ports {p_pres_i_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {p_pres_i_0[1]}]
set_property PACKAGE_PIN G14 [get_ports {p_pres_i_0[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {p_pres_i_0[0]}]

set_property PACKAGE_PIN A31 [get_ports pwr_cycle_req_o_0]
set_property IOSTANDARD LVCMOS18 [get_ports pwr_cycle_req_o_0]

set_property PACKAGE_PIN AL12 [get_ports {wrflash_scl[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {wrflash_scl[0]}]
set_property PACKAGE_PIN AT15 [get_ports {wrflash_sda[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {wrflash_sda[0]}]