#
# This file is the copy-etc recipe.
#

SUMMARY = "Simple copy-etc application"
SECTION = "PETALINUX/apps"
LICENSE = "GPLv3+"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891"

SRC_URI = "file://copy-etc \
		  "

S = "${WORKDIR}"

FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

inherit update-rc.d
INITSCRIPT_NAME = "copy-etc"
INITSCRIPT_PARAMS = "start 10 S ."

do_install() {
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${S}/copy-etc ${D}${sysconfdir}/init.d/copy-etc
}
FILES_${PN} += "${sysconfdir}/*"
